# Copyright 2016, 2017 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt


class NetqModule(object):
    def __init__(self):
        self.routes = {}
        self.notifications = {}
        self.default_actions = {}

    def route(self, route_str):
        def decorator(f):
            self.routes[route_str] = f
            return f

        return decorator

    def notification(self, notification_str):
        def decorator(f):
            self.notifications[notification_str] = f
            return f

        return decorator

    def default_action(self, event_type):
        def decorator(f):
            self.default_actions[event_type] = f
            return f

        return decorator


RC_SUCCESS = 0
RC_FAIL = 1
