# Copyright 2019, 2020 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt


from collections import defaultdict


class AgentStatsMon(object):
    __instance = None
    message_count = defaultdict(int)
    msg_type_count = defaultdict(int)
    msgtype_fullstate_count = defaultdict(int)
    agent_util_stats = defaultdict(float)
    pq_full_count = 0
    agent_pause_count = 0

    @staticmethod
    def get_instance():
        if AgentStatsMon.__instance is None:
            AgentStatsMon()
        return AgentStatsMon.__instance

    def __init__(self):
        if AgentStatsMon.__instance is None:
            AgentStatsMon.__instance = self

    def reset_agent_stats_counters(self):
        self.message_count = defaultdict(int)
        self.msg_type_count = defaultdict(int)
        self.msgtype_fullstate_count = defaultdict(int)
        self.agent_util_stats = defaultdict(float)
        self.pq_full_count = 0
        self.agent_pause_count = 0

