# Copyright 2016, 2017 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

import socket
from netq_lib.common import configuration


def get_netq_hostname():
    """

    :return: Hostname based on the fqdn type (long or short)
    """
    conf_dict = configuration.get_config('netq-agent')
    fqdn = conf_dict.get('netq-agent').get('fqdn', "short")

    if fqdn.lower() == "short":
        return str(socket.gethostname().split(".")[0])
    else:
        return str(socket.gethostname())


HOSTNAME = get_netq_hostname()
