# Copyright 2017 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from abc import ABCMeta, abstractmethod


class Q(object):

    def __init__(self, key_type=None, **kwargs):
        self.key_type = key_type
        self.kwargs = kwargs

class Query(object, metaclass=ABCMeta):  # flake8: noqa
    @abstractmethod
    def all(self, key_type=None, timestamp=None):
        raise NotImplementedError

    @abstractmethod
    def delete(self, key_type=None, **kwargs):
        raise NotImplementedError

    @abstractmethod
    def filter(self, key_type=None, timestamp=None, **kwargs):
        raise NotImplementedError

    @abstractmethod
    def keys(self, key_type=None, **kwargs):
        raise NotImplementedError

    @abstractmethod
    def get(self, key_type=None, timestamp=None, **kwargs):
        raise NotImplementedError

    @abstractmethod
    def latest(self, key_type=None, **kwargs):
        raise NotImplementedError

    @abstractmethod
    def range(self, key_type=None, reverse=False, start=-1, end=-1, first=True,
              **kwargs):
        raise NotImplementedError

    @abstractmethod
    def rangebyscore(self, key_type=None, reverse=False, start=-1, end=-1,
                     first=True, **kwargs):
        raise NotImplementedError
