# Copyright 2016, 2017 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt


class Connection(object):

    SERVER = '127.0.0.1:8000'

    def __init__(self):
        raise NotImplementedError


def _monkey_patch():
    from netq.orm.redisdb import models
    from netq.orm.restapi.query import RestQuery # pylint: disable=cyclic-import
    for model in list(vars(models).values()):
        query_obj = getattr(model, 'query', None)
        if query_obj is not None:
            setattr(model, 'query', RestQuery(model))


def set_connection_settings(server):
    Connection.SERVER = server.replace('http://', '')
    _monkey_patch()
